com.amazon.redshift.util

## Class JsonUtils

- java.lang.Object
- - com.amazon.redshift.util.JsonUtils

    public class JsonUtils
    extends Object

JSON parsing utilities for authentication providers.

### Constructor Summary

Constructors
Constructor and Description
`JsonUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JsonNode` `parseJson(String json)` Parses a JSON string into a JsonNode object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonUtils

    public JsonUtils()

### Method Detail

#### parseJson

    public static JsonNode parseJson(String json)
                              throws JsonProcessingException

Parses a JSON string into a JsonNode object.

Parameters:
  `json` - The JSON string to parse. Must not be null.
Returns:
  A JsonNode representing the parsed JSON structure.
Throws:
  `JsonProcessingException` - if the input is not valid JSON content or if there are any other problems parsing the JSON content.
  `IllegalArgumentException` - if the input string is null.